GNU Binutils Binary File Descriptor库安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1128673 漏洞类型 数字错误
发布时间 2018-03-01 更新时间 2019-11-06
CVE编号 CVE-2018-7569 CNNVD-ID CNNVD-201802-973
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201802-973
|漏洞详情
GNU Binutils(又名GNU Binary Utilities或binutils)是GNU计划开发的一组编程语言工具程序,它主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。Binary File Descriptor(BFD)library(又名libbfd)是其中的一个以各种格式便携式操作对象文件的库。 GNU Binutils 2.30版本中的BFD库的dwarf2.c文件存在安全漏洞。远程攻击者可借助带有损坏的DWARF FORM块的ELF文件利用该漏洞造成拒绝服务(整数溢出和应用程序崩溃)。
|参考资料

来源:MISC
链接:https://sourceware.org/bugzilla/show_bug.cgi?id=22895